Index: /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc
===================================================================
--- /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc	(revision 4252)
+++ /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc	(revision 4253)
@@ -38,9 +38,8 @@
    \param root The Element to load the GLMenu from
 */
-GLMenuImageScreen::GLMenuImageScreen (TiXmlElement* root)
+GLMenuImageScreen::GLMenuImageScreen(const TiXmlElement* root)
 {
   this->init();
-  this->load(root);
-
+  this->loadParams(root);
 }
 
@@ -56,5 +55,5 @@
    \li ElementCount: INT: how many elements will be loaded
 */
-void GLMenuImageScreen::load(TiXmlElement* root)
+void GLMenuImageScreen::loadParams(const TiXmlElement* root)
 {
   LoadParam<GLMenuImageScreen>(root, "BackgroundImage", this, &GLMenuImageScreen::setBackgroundImage);
Index: /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.h
===================================================================
--- /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.h	(revision 4252)
+++ /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.h	(revision 4253)
@@ -17,6 +17,6 @@
  public:
   GLMenuImageScreen ();
-  GLMenuImageScreen (TiXmlElement* root);
-  void load(TiXmlElement* root);
+  GLMenuImageScreen (const TiXmlElement* root);
+  void loadParams(const TiXmlElement* root);
   virtual ~GLMenuImageScreen ();
 
Index: /orxonox/branches/levelLoader/src/story_entities/world.cc
===================================================================
--- /orxonox/branches/levelLoader/src/story_entities/world.cc	(revision 4252)
+++ /orxonox/branches/levelLoader/src/story_entities/world.cc	(revision 4253)
@@ -121,46 +121,10 @@
 CREATE_FACTORY(World);
 
-World::World( TiXmlElement* root)
+World::World(const TiXmlElement* root)
 {
   this->constuctorInit("", -1);
   this->path = NULL;
-  const char *string;
-  char *name;
-  int id;
-  
-  PRINTF0("Creating a World\n");
-  
-  // identifier
-  string = grabParameter( root, "identifier");
-  if( string == NULL || sscanf(string, "%d", &id) != 1)
-    {
-      PRINTF0("World is missing a proper 'identifier'\n");
-      this->setStoryID( -1);
-    }
-  else setStoryID( id);
-
-  // next id
-  string = grabParameter( root, "nextid");
-  if( string == NULL || sscanf(string, "%d", &id) != 1)
-    {
-      PRINTF0("World is missing a proper 'nextid'\n");
-      this->setStoryID( -1);
-    }
-  else setNextStoryID( id);
-  
-
-  // path
-  string = grabParameter( root, "path");
-  if( string == NULL)
-    {
-      PRINTF0("World is missing a proper 'path'\n");
-      this->setPath( NULL);
-    }
-  else
-    {
-      name = new char[strlen(string + 2)];
-      strcpy( name, string);
-      this->setPath( name);
-    }
+  
+  this->loadParams(root);
 }
 
@@ -234,4 +198,46 @@
   this->debugWorldNr = worldID;
   this->entities = new tList<WorldEntity>();
+}
+
+void World::loadParams(const TiXmlElement* root)
+{
+  const char *string;
+  char *name;
+  int id;
+
+  PRINTF0("Creating a World\n");
+  
+  // identifier
+  string = grabParameter( root, "identifier");
+  if( string == NULL || sscanf(string, "%d", &id) != 1)
+    {
+      PRINTF0("World is missing a proper 'identifier'\n");
+      this->setStoryID( -1);
+    }
+  else setStoryID( id);
+
+  // next id
+  string = grabParameter( root, "nextid");
+  if( string == NULL || sscanf(string, "%d", &id) != 1)
+    {
+      PRINTF0("World is missing a proper 'nextid'\n");
+      this->setStoryID( -1);
+    }
+  else setNextStoryID( id);
+  
+
+  // path
+  string = grabParameter( root, "path");
+  if( string == NULL)
+    {
+      PRINTF0("World is missing a proper 'path'\n");
+      this->setPath( NULL);
+    }
+  else
+    {
+      name = new char[strlen(string + 2)];
+      strcpy( name, string);
+      this->setPath( name);
+    }
 }
 
@@ -332,5 +338,5 @@
   else
     {
-      this->glmis->load(element);
+      this->glmis->loadParams(element);
       this->glmis->draw();
     }
Index: /orxonox/branches/levelLoader/src/story_entities/world.h
===================================================================
--- /orxonox/branches/levelLoader/src/story_entities/world.h	(revision 4252)
+++ /orxonox/branches/levelLoader/src/story_entities/world.h	(revision 4253)
@@ -56,6 +56,8 @@
   World (char* name);
   World (int worldID);
-  World (TiXmlElement* root);
+  World (const TiXmlElement* root = NULL);
   virtual ~World ();
+
+  void loadParams(const TiXmlElement* root);
 
   double getGameTime();
Index: /orxonox/branches/levelLoader/src/util/loading/factory.cc
===================================================================
--- /orxonox/branches/levelLoader/src/util/loading/factory.cc	(revision 4252)
+++ /orxonox/branches/levelLoader/src/util/loading/factory.cc	(revision 4253)
@@ -65,5 +65,5 @@
    \brief generates the associated object from data
 */
-BaseObject* Factory::fabricate( TiXmlElement* data)
+BaseObject* Factory::fabricate(const TiXmlElement* data)
 {
   return NULL;
Index: /orxonox/branches/levelLoader/src/util/loading/factory.h
===================================================================
--- /orxonox/branches/levelLoader/src/util/loading/factory.h	(revision 4252)
+++ /orxonox/branches/levelLoader/src/util/loading/factory.h	(revision 4253)
@@ -46,5 +46,5 @@
   
 
-  virtual BaseObject* fabricate( TiXmlElement* root);
+  virtual BaseObject* fabricate(const TiXmlElement* root);
   void initialize();
   void registerFactory( Factory* factory);
@@ -67,5 +67,5 @@
   
   private:
-  BaseObject* fabricate( TiXmlElement* root);
+  BaseObject* fabricate(const TiXmlElement* root);
 };
 
@@ -82,5 +82,5 @@
 
 template<class T>
-BaseObject* tFactory<T>::fabricate( TiXmlElement* root) 
+BaseObject* tFactory<T>::fabricate(const TiXmlElement* root) 
 { 
   if(!strcmp(root->Value(), getFactoryName()))
Index: /orxonox/branches/levelLoader/src/util/loading/load_param.h
===================================================================
--- /orxonox/branches/levelLoader/src/util/loading/load_param.h	(revision 4252)
+++ /orxonox/branches/levelLoader/src/util/loading/load_param.h	(revision 4253)
@@ -157,15 +157,14 @@
 
 #define CREATE_LOAD_DOC(CLASS_NAME) \
-
-/*  void documentLoadClass(void) \
+  void documentLoadClass##CLASS_NAME(void) \
     { \
       if(LoadClassDescription::parametersDescription) \
 	{ \
 	  CLASS_NAME docuClass; \
-          docuClass.load(NULL); \
-	} \
-    } \
-  documentLoadClass();
-*/
+          docuClass.loadParams(NULL); \
+	} \
+    } 
+//  documentLoadClass();
+
 
 class LoadParamDescription
Index: /orxonox/branches/levelLoader/src/world_entities/player.cc
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/player.cc	(revision 4252)
+++ /orxonox/branches/levelLoader/src/world_entities/player.cc	(revision 4253)
@@ -80,5 +80,5 @@
    \todo add more parameters to load
 */
-Player::Player(TiXmlElement* root) : WorldEntity(root)
+Player::Player(const TiXmlElement* root) : WorldEntity(root)
 {
   this->weapons = new tList<Weapon>();
Index: /orxonox/branches/levelLoader/src/world_entities/player.h
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/player.h	(revision 4252)
+++ /orxonox/branches/levelLoader/src/world_entities/player.h	(revision 4253)
@@ -22,5 +22,5 @@
  public:
   Player();
-  Player(TiXmlElement* root);
+  Player(const TiXmlElement* root);
   virtual ~Player();
 
Index: /orxonox/branches/levelLoader/src/world_entities/skybox.cc
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/skybox.cc	(revision 4252)
+++ /orxonox/branches/levelLoader/src/world_entities/skybox.cc	(revision 4253)
@@ -45,14 +45,14 @@
 }
 
-SkyBox::SkyBox(TiXmlElement* root) : WorldEntity(root)
+SkyBox::SkyBox(const TiXmlElement* root) : WorldEntity(root)
 {
   this->preInit();
 
-  this->load(root);
+  this->loadParams(root);
 
   this->postInit();
 }
 
-void SkyBox::load(TiXmlElement* root)
+void SkyBox::loadParams(const TiXmlElement* root)
 {
   LoadParam<SkyBox>(root, "Materialset", this, &SkyBox::setTexture);
Index: /orxonox/branches/levelLoader/src/world_entities/skybox.h
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/skybox.h	(revision 4252)
+++ /orxonox/branches/levelLoader/src/world_entities/skybox.h	(revision 4253)
@@ -22,9 +22,9 @@
  public:
   SkyBox(const char* fileName = NULL);
-  SkyBox(TiXmlElement* root);
+  SkyBox(const TiXmlElement* root);
 
   virtual ~SkyBox();
 
-  void load(TiXmlElement* root);
+  void loadParams(const TiXmlElement* root);
 
   void preInit(void);
Index: /orxonox/branches/levelLoader/src/world_entities/world_entity.cc
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/world_entity.cc	(revision 4252)
+++ /orxonox/branches/levelLoader/src/world_entities/world_entity.cc	(revision 4253)
@@ -28,5 +28,5 @@
    \brief Loads the WordEntity-specific Part of any derived Class
 */
-WorldEntity::WorldEntity(TiXmlElement* root)
+WorldEntity::WorldEntity(const TiXmlElement* root)
 {
   this->setClassName ("WorldEntity");
@@ -34,10 +34,10 @@
 
   if (root)
-    this->load(root);
+    this->loadParams(root);
 
   this->bDraw = true;
 }
 
-void WorldEntity::load(TiXmlElement* root)
+void WorldEntity::loadParams(const TiXmlElement* root)
 {
   // name setup
Index: /orxonox/branches/levelLoader/src/world_entities/world_entity.h
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/world_entity.h	(revision 4252)
+++ /orxonox/branches/levelLoader/src/world_entities/world_entity.h	(revision 4253)
@@ -23,8 +23,8 @@
 
  public:
-  WorldEntity(TiXmlElement* root = NULL);
+  WorldEntity(const TiXmlElement* root = NULL);
   virtual ~WorldEntity ();
 
-  void load(TiXmlElement* root);
+  void loadParams(const TiXmlElement* root);
   void loadModel(const char* fileName);
 