Index: orxonox/branches/levelLoader/src/story_entities/world.cc
===================================================================
--- orxonox/branches/levelLoader/src/story_entities/world.cc	(revision 4254)
+++ orxonox/branches/levelLoader/src/story_entities/world.cc	(revision 4255)
@@ -176,4 +176,6 @@
   //delete garbagecollecor
   //delete animator
+
+  LoadClassDescription::printAll();
 
   ResourceManager::getInstance()->unloadAllByPriority(RP_LEVEL);
Index: orxonox/branches/levelLoader/src/util/loading/load_param.cc
===================================================================
--- orxonox/branches/levelLoader/src/util/loading/load_param.cc	(revision 4254)
+++ orxonox/branches/levelLoader/src/util/loading/load_param.cc	(revision 4255)
@@ -24,4 +24,5 @@
 BaseLoadParam::BaseLoadParam(BaseObject* object, const char* paramName, int paramCount, ...)
 {
+  this->paramDesc = NULL;
   if (LoadClassDescription::parametersDescription)
     {
@@ -50,18 +51,18 @@
 void BaseLoadParam::describe(const char* descriptionText)
 {
-  if (this->paramDesc)
+  if (LoadClassDescription::parametersDescription && this->paramDesc && !this->paramDesc->getDescription())
     {
-      
+      this->paramDesc->setDescription(descriptionText);
     }
-
 }
-
 
 LoadParamDescription::LoadParamDescription(const char* paramName)
 {
   this->types = NULL;
+  this->description = NULL;
   this->paramName = new char[strlen(paramName)+1];
   strcpy(this->paramName, paramName);
 }
+
 
 LoadParamDescription::~LoadParamDescription(void)
@@ -73,4 +74,24 @@
   delete []this->types;
   delete []this->paramName;
+}
+
+void LoadParamDescription::setDescription(const char* descriptionText)
+{
+  this->description = descriptionText;
+}
+
+void LoadParamDescription::print(void) const
+{
+  PRINT(3)(" <%s>", this->paramName);
+  for (int i = 0; i < this->paramCount; i++)
+    {
+      if (i > 0)
+	PRINT(3)(",");
+      PRINT(3)("%s", this->types[i]);
+    }
+  PRINT(3)("</%s>", this->paramName);
+  if (this->description)
+    PRINT(3)(" -- %s", this->description);
+  PRINT(3)("\n");
 }
 
@@ -93,4 +114,5 @@
 }
 
+
 LoadClassDescription::~LoadClassDescription(void)
 {
@@ -105,5 +127,4 @@
     }
   delete iterator;
-
 }
 
@@ -137,5 +158,4 @@
 	{
 	  delete iterator;
-	  this->paramList->add(enumParamDesc);
 	  return enumParamDesc;
 	}
@@ -147,2 +167,27 @@
   return paramList->lastElement();
 }
+
+void LoadClassDescription::printAll(void) 
+{
+  PRINT(3)("==============================================================\n");
+  PRINT(3)(" Listing all the Loadable Options (loaded since Game started.\n\n");
+  tIterator<LoadClassDescription>* classIT = LoadClassDescription::classList->getIterator();
+  LoadClassDescription* enumClassDesc = classIT->nextElement();
+  while (enumClassDesc)
+    {
+      PRINT(3)("<%s>\n", enumClassDesc->className);
+      tIterator<LoadParamDescription>* paramIT = enumClassDesc->paramList->getIterator();
+      LoadParamDescription* enumParamDesc = paramIT->nextElement();
+      while (enumParamDesc)
+	{
+	  enumParamDesc->print();
+	  enumParamDesc = paramIT->nextElement();
+	}
+      delete paramIT;
+
+      PRINT(3)("</%s>\n\n", enumClassDesc->className);
+      enumClassDesc = classIT->nextElement();
+    }
+  delete classIT;
+
+}
Index: orxonox/branches/levelLoader/src/util/loading/load_param.h
===================================================================
--- orxonox/branches/levelLoader/src/util/loading/load_param.h	(revision 4254)
+++ orxonox/branches/levelLoader/src/util/loading/load_param.h	(revision 4255)
@@ -162,8 +162,15 @@
   LoadParamDescription(const char* paramName);
   ~LoadParamDescription(void);
+
+  void setDescription(const char* descriptionText);
+  /** \returns the descriptionString */
+  const char* getDescription(void) { return this->description;};
+
+  void print(void) const;
  private:
   char* paramName;
   int paramCount;
   char** types;
+  const char* description;
 };
 
@@ -178,6 +185,7 @@
   LoadParamDescription* addParam(const char* paramName);
 
-  static bool parametersDescription;
-  
+  static void printAll(void);
+
+  static bool parametersDescription;  
   static tList<LoadClassDescription>* classList;
  private:
@@ -189,7 +197,9 @@
 class BaseLoadParam
 {
+ public:
+  void describe(const char* descriptionText);
+
  protected:
   BaseLoadParam(BaseObject* object, const char* paramName, int paramCount, ...);
-  void describe(const char* descriptionText);
 
  protected:
Index: orxonox/branches/levelLoader/src/world_entities/skybox.cc
===================================================================
--- orxonox/branches/levelLoader/src/world_entities/skybox.cc	(revision 4254)
+++ orxonox/branches/levelLoader/src/world_entities/skybox.cc	(revision 4255)
@@ -56,5 +56,5 @@
 void SkyBox::loadParams(const TiXmlElement* root)
 {
-  LoadParam<SkyBox>(root, "Materialset", this, &SkyBox::setTexture);
+  LoadParam<SkyBox>(root, "Materialset", this, &SkyBox::setTexture).describe("Sets the material on the skysphere. The string must be the path relative to the data-dir, and without a trailing .jpg");
 }
 