Index: /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc
===================================================================
--- /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc	(revision 4258)
+++ /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc	(revision 4259)
@@ -57,13 +57,18 @@
 void GLMenuImageScreen::loadParams(const TiXmlElement* root)
 {
-  LoadParam<GLMenuImageScreen>(root, "BackgroundImage", this, &GLMenuImageScreen::setBackgroundImage);
-
-  LoadParam<GLMenuImageScreen>(root, "BackgroundPS", this, &GLMenuImageScreen::setPosScale);
-
-  LoadParam<GLMenuImageScreen>(root, "BarImage", this, &GLMenuImageScreen::setBarImage);
-  
-  LoadParam<GLMenuImageScreen>(root, "BarPS", this, &GLMenuImageScreen::setBarPosScale);
-
-  LoadParam<GLMenuImageScreen>(root, "ElementCount", this, &GLMenuImageScreen::setMaximum);
+  LoadParam<GLMenuImageScreen>(root, "BackgroundImage", this, &GLMenuImageScreen::setBackgroundImage)
+    .describe("sets the image to load onto the loadscreen");
+
+  LoadParam<GLMenuImageScreen>(root, "BackgroundPS", this, &GLMenuImageScreen::setPosScale)
+    .describe("The Position and Scale of the Background Image in %(0-1.0). PosX, PosY, SizeX, SizeY");
+
+  LoadParam<GLMenuImageScreen>(root, "BarImage", this, &GLMenuImageScreen::setBarImage)
+    .describe("sets the image of the LoadingBar");
+  
+  LoadParam<GLMenuImageScreen>(root, "BarPS", this, &GLMenuImageScreen::setBarPosScale)
+    .describe("The Position and Scale of the Loading Bar in %(0-1.0). PosX, PosY, SizeX, SizeY");
+
+  LoadParam<GLMenuImageScreen>(root, "ElementCount", this, &GLMenuImageScreen::setMaximum)
+    .describe("The Count of elements to load into the bar (this is only a maximum value)");
 }
 
Index: /orxonox/branches/levelLoader/src/story_entities/world.cc
===================================================================
--- /orxonox/branches/levelLoader/src/story_entities/world.cc	(revision 4258)
+++ /orxonox/branches/levelLoader/src/story_entities/world.cc	(revision 4259)
@@ -210,7 +210,10 @@
   PRINTF0("Creating a World\n");
 
-  LoadParam<World>(root, "identifier", this, &World::setStoryID).describe("Sets the StoryID of this world");
-  LoadParam<World>(root, "nextid", this, &World::setNextStoryID).describe("Sets the ID of the next world");
-  LoadParam<World>(root, "path", this, &World::setPath).describe("The Filename of this World (relative from the data-dir)");
+  LoadParam<World>(root, "identifier", this, &World::setStoryID)
+    .describe("Sets the StoryID of this world");
+  LoadParam<World>(root, "nextid", this, &World::setNextStoryID)
+    .describe("Sets the ID of the next world");
+  LoadParam<World>(root, "path", this, &World::setPath)
+    .describe("The Filename of this World (relative from the data-dir)");
 
 
Index: /orxonox/branches/levelLoader/src/util/loading/load_param.cc
===================================================================
--- /orxonox/branches/levelLoader/src/util/loading/load_param.cc	(revision 4258)
+++ /orxonox/branches/levelLoader/src/util/loading/load_param.cc	(revision 4259)
@@ -209,6 +209,6 @@
 void LoadClassDescription::printAll(void) 
 {
-  PRINT(3)("==============================================================\n");
-  PRINT(3)(" Listing all the Loadable Options (loaded since Game started.\n\n");
+  PRINT(3)("===============================================================\n");
+  PRINT(3)(" Listing all the Loadable Options (loaded since Game started).\n\n");
   tIterator<LoadClassDescription>* classIT = LoadClassDescription::classList->getIterator();
   LoadClassDescription* enumClassDesc = classIT->nextElement();
@@ -229,4 +229,4 @@
     }
   delete classIT;
-
-}
+  PRINT(3)("===============================================================\n");
+}
Index: /orxonox/branches/levelLoader/src/world_entities/skybox.cc
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/skybox.cc	(revision 4258)
+++ /orxonox/branches/levelLoader/src/world_entities/skybox.cc	(revision 4259)
@@ -56,5 +56,6 @@
 void SkyBox::loadParams(const TiXmlElement* root)
 {
-  LoadParam<SkyBox>(root, "Materialset", this, &SkyBox::setTexture).describe("Sets the material on the SkyBox. The string must be the path relative to the data-dir, and without a trailing .jpg");
+  LoadParam<SkyBox>(root, "Materialset", this, &SkyBox::setTexture)
+    .describe("Sets the material on the SkyBox. The string must be the path relative to the data-dir, and without a trailing .jpg");
 }
 
Index: /orxonox/branches/levelLoader/src/world_entities/world_entity.cc
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/world_entity.cc	(revision 4258)
+++ /orxonox/branches/levelLoader/src/world_entities/world_entity.cc	(revision 4259)
@@ -42,8 +42,10 @@
 {
   // name setup
-  LoadParam<WorldEntity>(root, "name", this, &WorldEntity::setName).describe("the name of the Object at hand");
+  LoadParam<WorldEntity>(root, "name", this, &WorldEntity::setName)
+    .describe("the name of the Object at hand");
 
   // Model Loading	
-  LoadParam<WorldEntity>(root, "model", this, &WorldEntity::loadModel).describe("the fileName of the model, that should be loaded onto this world-entity. (must be relative to the data-dir)") ;
+  LoadParam<WorldEntity>(root, "model", this, &WorldEntity::loadModel)
+    .describe("the fileName of the model, that should be loaded onto this world-entity. (must be relative to the data-dir)") ;
 }
 