Index: orxonox/trunk/src/subprojects/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/Makefile.am	(revision 4265)
+++ orxonox/trunk/src/subprojects/Makefile.am	(revision 4266)
@@ -1,2 +1,3 @@
 SUBDIRS = importer \
+	  gui \
 	  testmain
Index: orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/Makefile.in	(revision 4265)
+++ orxonox/trunk/src/subprojects/Makefile.in	(revision 4266)
@@ -165,4 +165,5 @@
 target_vendor = @target_vendor@
 SUBDIRS = importer \
+	  gui \
 	  testmain
 
Index: orxonox/trunk/src/subprojects/gui/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/gui/Makefile.am	(revision 4265)
+++ orxonox/trunk/src/subprojects/gui/Makefile.am	(revision 4266)
@@ -4,10 +4,15 @@
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gaphics
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/particles
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui/gui
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/tinyxml
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
@@ -15,13 +20,64 @@
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
-
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/loading
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/track
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
 
 AM_LDFLAGS=$(MWINDOWS)
 
-#"-O3 -pedantic -fPIC -ffast-math -I/usr/X11R6/include"
+
+bin_PROGRAMS = gui
+
+gui_DEPENDENCIES = $(MAINSRCDIR)/libORXgui.a
+
+gui_LDADD = $(MAINSRCDIR)/libORXgui.a \
+            $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
+
+gui_SOURCES= gui_main.cc \
+	     $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
+	     $(MAINSRCDIR)/lib/lang/base_object.cc \
+	     $(MAINSRCDIR)/lib/math/vector.cc \
+	     $(MAINSRCDIR)/util/resource_manager.cc \
+	     $(MAINSRCDIR)/lib/graphics/text_engine.cc \
+	     $(MAINSRCDIR)/lib/coord/p_node.cc \
+             $(MAINSRCDIR)/lib/coord/null_parent.cc \
+	     $(MAINSRCDIR)/lib/graphics/importer/array.cc \
+	     $(MAINSRCDIR)/lib/graphics/importer/model.cc \
+             $(MAINSRCDIR)/lib/graphics/importer/objModel.cc \
+	     $(MAINSRCDIR)/lib/graphics/importer/material.cc \
+             $(MAINSRCDIR)/lib/graphics/importer/texture.cc \
+	     $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc 
+
+noinst_HEADERS= 
 
 
-bin_PROGRAMS = gui
-gui_SOURCES= gui
 
-noinst_HEADERS= 
+#bin_PROGRAMS=gui
+#gui_SOURCES=gui_main.cc \
+#	    gui.cc \
+#	    gui_gtk.cc \
+#	    gui_element.cc \
+#	    gui_video.cc \
+#	    gui_audio.cc \
+#	    gui_exec.cc \
+#	    gui_flags.cc \
+#	    gui_banner.cc \
+#	    gui_keys.cc \
+#	    gui_update.cc \
+#		  $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
+#		  $(MAINSRCDIR)/lib/lang/base_object.cc \
+#		  $(MAINSRCDIR)/lib/math/vector.cc \
+#		  $(MAINSRCDIR)/util/resource_manager.cc \
+#		  $(MAINSRCDIR)/lib/graphics/text_engine.cc \
+#		  $(MAINSRCDIR)/lib/coord/p_node.cc \
+#		  $(MAINSRCDIR)/lib/coord/null_parent.cc \
+#		  $(MAINSRCDIR)/lib/graphics/importer/array.cc \
+#		  $(MAINSRCDIR)/lib/graphics/importer/model.cc \
+#		  $(MAINSRCDIR)/lib/graphics/importer/objModel.cc \
+#		  $(MAINSRCDIR)/lib/graphics/importer/material.cc \
+#		  $(MAINSRCDIR)/lib/graphics/importer/texture.cc \
+#		  $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc 
+#
Index: orxonox/trunk/src/subprojects/gui/gui_main.cc
===================================================================
--- orxonox/trunk/src/subprojects/gui/gui_main.cc	(revision 4266)
+++ orxonox/trunk/src/subprojects/gui/gui_main.cc	(revision 4266)
@@ -0,0 +1,34 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
+#include "gui.h"
+
+int verbose = 4;
+
+int main(int argc, char *argv[])
+{
+  Gui* orxonoxgui = new Gui(argc, argv);
+  return 0;
+}
Index: orxonox/trunk/src/subprojects/importer/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4265)
+++ orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4266)
@@ -30,6 +30,6 @@
 AM_LDFLAGS=$(MWINDOWS)
 
-#"-O3 -pedantic -fPIC -ffast-math -I/usr/X11R6/include"
 bin_PROGRAMS=importer
+
 
 importer_SOURCES= framework.cc \